curl --request GET \
--url https://app.tagadapay.com/api/public/v1/payment-flows \
--header 'Authorization: Bearer <token>'[
{
"id": "flow_abc123",
"name": "Default Flow",
"strategy": "cascade",
"threeDsEnabled": true,
"stickyProcessorEnabled": false,
"pickProcessorStrategy": "weighted",
"fallbackMode": true,
"maxFallbackRetries": 2,
"processorConfigs": [
{
"processorId": "proc_stripe",
"weight": 70,
"disabled": false,
"nonStickable": false
},
{
"processorId": "proc_checkout",
"weight": 30,
"disabled": false,
"nonStickable": false
}
]
}
]List all active (non-archived) payment flows for the authenticated account. Requires org:admin role.
curl --request GET \
--url https://app.tagadapay.com/api/public/v1/payment-flows \
--header 'Authorization: Bearer <token>'[
{
"id": "flow_abc123",
"name": "Default Flow",
"strategy": "cascade",
"threeDsEnabled": true,
"stickyProcessorEnabled": false,
"pickProcessorStrategy": "weighted",
"fallbackMode": true,
"maxFallbackRetries": 2,
"processorConfigs": [
{
"processorId": "proc_stripe",
"weight": 70,
"disabled": false,
"nonStickable": false
},
{
"processorId": "proc_checkout",
"weight": 30,
"disabled": false,
"nonStickable": false
}
]
}
]Enter your API key as: Bearer your-api-key
Successful response